Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 678)
+++ palm/trunk/SCRIPTS/subjob	(revision 693)
@@ -127,4 +127,5 @@
      #                    institute of technology (lctit)
      # 02/02/11 - Siggi - further asjustments for Tsubame concerning openMP
+     # 06/03/11 - Siggi - adjustments for ibmkisti
 
 
@@ -204,4 +205,5 @@
      (bicegate2)             local_addres=130.73.232.103; local_host=lcsgib;;
      (caurus)                local_addres=130.75.105.19;  local_host=lcmuk;;
+     (climate*)              local_addres=165.132.26.68;  local_host=lcyon;;
      (compute-*.local)       local_addres=172.20.4.2;     local_host=lcfimm;;
      (cs*)                   local_addres=136.172.44.131; local_host=nech;;
@@ -209,4 +211,5 @@
      (fimm.bccs.uib.no)      local_addres=172.20.4.2;     local_host=lcfimm;;
      (node*)                 local_addres=165.132.26.61   local_host=lck;;
+     (gaia*)                 local_addres=150.183.146.24; local_host=ibmkisti;;
      (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
      (gfdl5)                 local_addres=165.132.26.58;  local_host=ibmy;;
@@ -297,5 +300,5 @@
     printf "\n        -D    only the job-file will be created   ---"
     printf "\n        -h    execution host, available hosts:    $remote_host"
-    printf "\n              ibm, ibmh, ibmku, ibms, ibmy, lc...,"
+    printf "\n              ibm, ibmh, ibmkisti, ibmku, ibms, ibmy, lc...,"
     printf "\n              lctit, nech, necriam, unics"
     printf "\n        -m    memory demand per process in MByte  ---"
@@ -363,4 +366,5 @@
         (ibm)     queue=p690_standard; remote_addres=134.76.99.81; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibmh)    queue=no_class; remote_addres=136.172.40.15; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (ibmkisti) queue=class.32plus; remote_addres=150.183.146.24; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibmku)   queue=s4; remote_addres=133.5.4.129; submcom=/usr/local/bin/llsubmit;;
         (ibms)    queue=p_normal; remote_addres=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
@@ -374,4 +378,5 @@
         (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.4.9-snap.201005191035/bin/qsub;;
         (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
+        (lcyon)   remote_addres=165.132.26.68; submcom=/usr/torque/bin/qsub;;
         (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
         (necriam) qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=172.16.1.131; submcom="/usr/bin/nqsII/qsub";;
@@ -396,4 +401,8 @@
         (ibmh)   case  $ndq  in
                      (no_class)  error=false;;
+                     (*)                                     error=true;;
+                 esac;;
+        (ibmkisti)   case  $ndq  in
+                     (class.32plus|class.1-2|class.2-32)  error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -589,8 +598,4 @@
  else
     remote_dayfile=/dev/null
-    if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
-    then
-       notification='# @ notification = never'
-    fi
  fi
 
@@ -610,5 +615,16 @@
     data_limit="# @ data_limit = 1.76gb"
     image_size="# @ image_size = 50"
-
+    wall_clock_limit="# @ wall_clock_limit = ${timestring},$timestring"
+
+    if [[ $email_notification = none ]]
+    then
+       notify_user=""
+    else
+       notify_user="# @ notify_user = $email_notification"
+       if [[ $delete_dayfile = true ]]
+       then
+          notification='# @ notification = never'
+       fi
+    fi
 
     if [[ $remote_host = ibmh ]]
@@ -618,4 +634,14 @@
        class=""
        environment=""
+    elif [[ $remote_host = ibmkisti ]]
+    then
+       network_to_use="# @ network.MPI = sn_all,shared,US"
+       wall_clock_limit="# @ wall_clock_limit = $timestring"
+       rset="# @ rset = RSET_MCM_AFFINITY"
+       mcm_affinity_options="# @ mcm_affinity_options = mcm_mem_pref mcm_sni_none mcm_distribute"
+       environment=""
+       use_shell=""
+       data_limit=""
+       image_size=""
     elif [[ $remote_host = ibmku ]]
     then
@@ -641,9 +667,9 @@
 
 # @ job_type = parallel
-# @ job_name = palm
-# @ wall_clock_limit = ${timestring},$timestring
+# @ job_name = $job_name
 # @ resources = ConsumableCpus($threads_per_task) $consumable_memory
 # @ output = $remote_dayfile
 # @ error = $remote_dayfile
+$wall_clock_limit
 $image_size
 $class
@@ -651,5 +677,8 @@
 $network_to_use
 $data_limit
+$rset
+$mcm_affinity_options
 $notification
+$notify_user
 
 %%END%%
@@ -658,5 +687,8 @@
     then
 
-       cat >> $job_to_send << %%END%%
+       if [[ $remote_host != ibmkisti ]]
+       then
+
+          cat >> $job_to_send << %%END%%
 # @ node = $nodes
 # @ tasks_per_node = $processes_per_node
@@ -665,4 +697,15 @@
 
 %%END%%
+
+       else
+
+          cat >> $job_to_send << %%END%%
+# @ total_tasks = $numprocs
+# @ blocking = unlimited
+# @ queue
+
+%%END%%
+
+       fi
 
     else
@@ -762,4 +805,34 @@
 
 mpd &
+
+%%END%%
+
+    else
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -N $job_name
+#PBS -l walltime=$timestring
+#PBS -l ncpus=1
+#PBS -l pmem=${memory}mb
+#PBS -o $remote_dayfile
+#PBS -j oe
+
+%%END%%
+
+    fi
+
+ elif [[ $remote_host = lcyon ]]
+ then
+
+    if [[ $numprocs != 0 ]]
+    then
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -N $job_name
+#PBS -l walltime=$timestring
+#PBS -l ncpus=$numprocs
+#PBS -l pmem=${memory}mb
+#PBS -o $remote_dayfile
+#PBS -j oe
 
 %%END%%
@@ -1080,4 +1153,7 @@
        then
           return_queue=c1
+       elif [[ $remote_host = ibmkisti ]]
+       then
+          return_queue=class.1-2
        elif [[ $remote_host = ibmku ]]
        then
@@ -1332,5 +1408,5 @@
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4 || $localhost = lck ]]
+       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4  ||  $localhost = lck  ||  $localhost = lcyon ]]
        then
           chmod  u+x  $job_on_remhost
